image: nixpkgs/nix:nixos-20.03

stages:
  - build

build:
  stage: build
  script: NIX_PATH=channel:$NIXPKGS_CHANNEL nix-shell --run ./.gitlab-ci.sh
  variables:
    IMAGE_TAG: latest
  parallel:
    matrix:
      - NIXPKGS_CHANNEL: [nixos-20.03, nixos-20.09, nixos-unstable]